# Running the Scripts

Scripts were invoked in the following order:

1. shuffler.py (generates a list of randomized email IDs up to the official highest ID of 2434899)
2. scanner.py (downloads the specified IDs)
3. verifier.py (checks that nothing is missing)
4. sort.py (sorts the emails which were previously downloaded randomly)
5. splitter.py (splits the emails into manageable chunks)

The results_extra.py script can be run to find the IDs above 2434899, which
should be the highest ID for any entry in the list. The shuffler does not
include those IDs in the search, however.

# Data Flow

The scripts generate a number of intermediary files.

The flow of data through these files is as follows:



nothing
    |
    | shuffler.py
    |
    v
ids_to_query.txt
    |
    | scanner.py
    |
    v
results.csv
    |
    | sort.py
    |
    v
sorted_results.csv
    |
    | splitter.py
    |
    v
split/id_xxx_yyy.csv



sorted_results.csv
    |
    | verifier.py
    |
    v
nothing




